<?php 

 /*
 * Admin.php
 * 
 * This file is part of the "gotoviar" project.
 * See "LICENSE" for license information.
 */

/**
 * @package gotoviarplugin
 */
namespace GTVR\Pages;

use \GTVR\Base\GTVR_BaseController;

/**
* 
*/
class GTVR_Admin extends GTVR_BaseController
{
	public function register() {
		add_action( 'admin_menu', array( $this, 'add_admin_pages' ) );
	}

	public function add_admin_pages() {
		add_menu_page( 'GoToViaR Plugin', 'GoToViaR', 'manage_options', 'gotoviar', array( $this, 'start_here_index' ), 'dashicons-store', 110 );
	}

	public function editor_index() {
		require_once $this->plugin_path . 'includes/Pages/GTVR_Editor.php';
	}

	public function start_here_index() {
		require_once $this->plugin_path . 'includes/Pages/GTVR_StartHere.php';
	}
}